<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="6f641719-8a3d-4917-b710-b0f122156ab6" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__junit_junit_4_13_1.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/.idea/libraries/Maven__org_hamcrest_hamcrest_core_2_2.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/repository-service/src/test/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImplTest.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/OrderServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/OrderServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchasedProduct.java" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchasedProduct.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/WebSecurityConfig.java" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/WebSecurityConfig.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/controller/ProductController.java" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/controller/ProductController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/ProductService.java" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/ProductService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/auth-server/target/" />
    <ignored path="$PROJECT_DIR$/repository-service/target/" />
    <ignored path="$PROJECT_DIR$/customer-service/target/" />
    <ignored path="$PROJECT_DIR$/purchase-service/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings">
    <execution>
      <executable />
    </execution>
  </component>
  <component name="CoverageViewManager">
    <option name="myElementSize" value="181" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/CustomerServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="968">
              <caret line="82" column="26" selection-start-line="82" selection-start-column="26" selection-end-line="82" selection-end-column="26" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#1437#1438#0" expanded="true" />
                <element signature="e#1498#1499#0" expanded="true" />
                <element signature="e#2528#2529#0" expanded="true" />
                <element signature="e#2571#2572#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/OrderServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="53" column="9" selection-start-line="53" selection-start-column="9" selection-end-line="53" selection-end-column="9" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/repository-service/src/test/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImplTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="36">
              <caret line="104" lean-forward="true" selection-start-line="104" selection-end-line="104" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="50">
              <caret line="111" column="14" lean-forward="true" selection-start-line="111" selection-start-column="14" selection-end-line="111" selection-end-column="14" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchasedProduct.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="85">
              <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/WebSecurityConfig.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="177">
              <caret line="19" column="48" lean-forward="true" selection-start-line="19" selection-start-column="48" selection-end-line="19" selection-end-column="48" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/controller/ProductController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="206">
              <caret line="67" column="30" lean-forward="true" selection-start-line="67" selection-start-column="30" selection-end-line="67" selection-end-column="30" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/ProductService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="135">
              <caret line="23" column="36" lean-forward="true" selection-start-line="23" selection-start-column="36" selection-end-line="23" selection-end-column="36" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/data/spring-data-commons/2.4.2/spring-data-commons-2.4.2-sources.jar!/org/springframework/data/domain/Sort.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="126">
              <caret line="122" column="21" selection-start-line="122" selection-start-column="21" selection-end-line="122" selection-end-column="21" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://C:/Program Files/Java/jdk-11.0.8/lib/src.zip!/java.base/java/util/Optional.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="126">
              <caret line="131" column="34" selection-start-line="131" selection-start-column="34" selection-end-line="131" selection-end-column="34" />
              <folding>
                <element signature="e#4026#4027#0" expanded="true" />
                <element signature="e#4084#4085#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="AnnotationType" />
        <option value="Enum" />
        <option value="Class" />
        <option value="JUnit5 Test Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>UserSpecificationsBuilder</find>
      <find>createLiquibase</find>
      <find>&quot;</find>
      <find>ini</find>
      <find>BadRequest</find>
      <find>MethodArgumentNotValidException</find>
      <find>java</find>
      <find>purchaseservice</find>
      <find>.bink.repositoryservice</find>
      <find>Product</find>
      <find>customerService</find>
      <find>(id, name, description, brand, image_url, price, quantity)</find>
      <find>customerRepository</find>
      <find>h2</find>
      <find>phone</find>
      <find>long</find>
      <find>Long</find>
      <find>product</find>
      <find>Customer</find>
      <find>ChangeCustomerRequest</find>
    </findStrings>
    <replaceStrings>
      <replace>ProductSpecificationBuilder</replace>
      <replace>'</replace>
      <replace>purchaseservice</replace>
      <replace>customerservice</replace>
      <replace>customer</replace>
      <replace>.customerservice</replace>
      <replace>Customer</replace>
      <replace>customerService</replace>
      <replace>(id, name, phone, email, address)</replace>
      <replace>customerRepository</replace>
      <replace>phone_number</replace>
      <replace>int</replace>
      <replace>Integer</replace>
      <replace>order</replace>
      <replace>Order</replace>
      <replace>CustomerRequest</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/OrderStatus.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/OrderCustomerRequest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/OrderService.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/controller/OrderController.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/ProductServiceProxy.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/impl/CustomerProxyImpl.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/validator/RequestValidator.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/CustomerServiceProxy.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/CreateOrderRequest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/PurchaseOrderRequest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/entity/Order.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/builder/OrderBuilder.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/Product.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/RepositoryServiceProxy.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/RepositoryRequest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/RepositoryResponse.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/exception/ErrorCode.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/exception/InternalServiceRequestException.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/impl/RepositoryServiceProxyImpl.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/Customer.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/impl/CustomerServiceProxyImpl.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/CustomerServiceApplication.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/PurchaseServiceApplication.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/resources/db/changelog/changelog-1.xml" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchaseProductRequest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/PurchasedProduct.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/config/CustomWebSecurityConfigurerAdapter.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/resources/application.yaml" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/CustomWebSecurityConfigurerAdapter.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/security/AuthenticationEntryPoint.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/security/HttpBasicAuthenticationAdapter.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/entity/Product.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/entity/PurchaseOrder.java" />
        <option value="$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/service/CustomerService.java" />
        <option value="$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/controller/CustomerController.java" />
        <option value="$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/CustomerServiceImpl.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/HttpBasicAuthenticationAdapter.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/SpringFoxConfig.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/SwaggerConfig.java" />
        <option value="$PROJECT_DIR$/purchase-service/pom.xml" />
        <option value="$PROJECT_DIR$/customer-service/pom.xml" />
        <option value="$PROJECT_DIR$/repository-service/pom.xml" />
        <option value="$PROJECT_DIR$/repository-service/src/main/resources/application.yaml" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/repository-service/src/test/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImplTest.java" />
        <option value="$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/OrderServiceImpl.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchasedProduct.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/controller/ProductController.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/ProductService.java" />
        <option value="$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/WebSecurityConfig.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="repository-service" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="10" />
    <option name="y" value="20" />
    <option name="width" value="1346" />
    <option name="height" value="688" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="exception" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="repository" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="customer-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="purchase-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="purchaseservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repositoryservice" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repositoryservice" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repositoryservice" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repositoryservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="repositoryservice" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="nab-assignment" type="b2602c69:ProjectViewProjectNode" />
              <item name="nab-assignment" type="462c0819:PsiDirectoryNode" />
              <item name="repository-service" type="462c0819:PsiDirectoryNode" />
              <item name="target" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrary" value="JUnit5" />
    <property name="com.intellij.testIntegration.createTest.CreateTestDialog.defaultLibrarySuperClass.JUnit5" value="" />
    <property name="extract.method.default.visibility" value="private" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/purchase-service/src/main/resources/db" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.sourceCode.XML" />
  </component>
  <component name="RecentsManager">
    <key name="CreateTestDialog.RecentsKey">
      <recent name="com.nab.assignment.repositoryservice.service.impl" />
    </key>
    <key name="CreateTestDialog.Recents.Supers">
      <recent name="" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\Projects\NAB\nab-assignment\purchase-service\src\main\resources\db" />
      <recent name="D:\Projects\NAB\nab-assignment\purchase-service\src\main\resources" />
      <recent name="D:\Projects\NAB\nab-assignment\purchase-service\src\main\java\com\nab\assignment\purchaseservice" />
      <recent name="D:\Projects\NAB\nab-assignment\customer-service\src\main\resources\db\changelog" />
      <recent name="D:\Projects\NAB\nab-assignment\customer-service\src\main\java\com\nab\assignment\customerservice" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
    <option name="contentProportion" value="0.24729522" />
  </component>
  <component name="RunManager" selected="Spring Boot.RepositoryServiceApplication">
    <configuration name="ProductServiceImplTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="repository-service" />
      <extension name="coverage" runner="jacoco">
        <pattern>
          <option name="PATTERN" value="com.nab.assignment.repositoryservice.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nab.assignment.repositoryservice.service.impl" />
      <option name="MAIN_CLASS_NAME" value="com.nab.assignment.repositoryservice.service.impl.ProductServiceImplTest" />
      <option name="METHOD_NAME" value="" />
      <option name="TEST_OBJECT" value="class" />
      <option name="PARAMETERS" value="" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductServiceImplTest.testGetProductWithExistProduct" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="repository-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nab.assignment.repositoryservice.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nab.assignment.repositoryservice.service.impl" />
      <option name="MAIN_CLASS_NAME" value="com.nab.assignment.repositoryservice.service.impl.ProductServiceImplTest" />
      <option name="METHOD_NAME" value="testGetProductWithExistProduct" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductServiceImplTest.testGetProductWithNotExistProduct" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="repository-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nab.assignment.repositoryservice.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nab.assignment.repositoryservice.service.impl" />
      <option name="MAIN_CLASS_NAME" value="com.nab.assignment.repositoryservice.service.impl.ProductServiceImplTest" />
      <option name="METHOD_NAME" value="testGetProductWithNotExistProduct" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductServiceImplTest.testGetProducts" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="repository-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nab.assignment.repositoryservice.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nab.assignment.repositoryservice.service.impl" />
      <option name="MAIN_CLASS_NAME" value="com.nab.assignment.repositoryservice.service.impl.ProductServiceImplTest" />
      <option name="METHOD_NAME" value="testGetProducts" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="ProductServiceImplTest.testGetProductsWithSearchAndSort" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="repository-service" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nab.assignment.repositoryservice.service.impl.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nab.assignment.repositoryservice.service.impl" />
      <option name="MAIN_CLASS_NAME" value="com.nab.assignment.repositoryservice.service.impl.ProductServiceImplTest" />
      <option name="METHOD_NAME" value="testGetProductsWithSearchAndSort" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AuthServerApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="auth-server" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.nab.assignment.bink.authserver.AuthServerApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="CustomerServiceApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="customer-service" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.nab.assignment.purchaseservice.CustomerServiceApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="RepositoryServiceApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="repository-service" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.nab.assignment.repositoryservice.RepositoryServiceApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.ProductServiceImplTest" />
      <item itemvalue="JUnit.ProductServiceImplTest.testGetProductWithExistProduct" />
      <item itemvalue="JUnit.ProductServiceImplTest.testGetProductWithNotExistProduct" />
      <item itemvalue="Spring Boot.AuthServerApplication" />
      <item itemvalue="Spring Boot.CustomerServiceApplication" />
      <item itemvalue="Spring Boot.RepositoryServiceApplication" />
      <item itemvalue="JUnit.ProductServiceImplTest.testGetProducts" />
      <item itemvalue="JUnit.ProductServiceImplTest.testGetProductsWithSearchAndSort" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.ProductServiceImplTest" />
        <item itemvalue="JUnit.ProductServiceImplTest.testGetProductsWithSearchAndSort" />
        <item itemvalue="JUnit.ProductServiceImplTest.testGetProducts" />
        <item itemvalue="JUnit.ProductServiceImplTest.testGetProductWithNotExistProduct" />
        <item itemvalue="JUnit.ProductServiceImplTest.testGetProductWithExistProduct" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="6f641719-8a3d-4917-b710-b0f122156ab6" name="Default Changelist" comment="" />
      <created>1608190117380</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1608190117380</updated>
      <workItem from="1608190118723" duration="553000" />
      <workItem from="1608190698296" duration="179000" />
      <workItem from="1608195298143" duration="3068000" />
      <workItem from="1608198405053" duration="224000" />
      <workItem from="1608198649656" duration="12170000" />
      <workItem from="1608259750013" duration="1321000" />
      <workItem from="1608262961085" duration="452000" />
      <workItem from="1608265013366" duration="702000" />
      <workItem from="1608276854334" duration="16633000" />
      <workItem from="1608478655721" duration="5698000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="ProductServiceImplTest_testGetProductWithExistProduct - 2020.12.20 at 23h 03m 08s.xml">
      <configuration name="ProductServiceImplTest.testGetProductWithExistProduct" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProductWithNotExistProduct - 2020.12.20 at 23h 04m 38s.xml">
      <configuration name="ProductServiceImplTest.testGetProductWithNotExistProduct" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest - 2020.12.20 at 23h 04m 51s.xml">
      <configuration name="ProductServiceImplTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest - 2020.12.20 at 23h 05m 07s.xml">
      <configuration name="ProductServiceImplTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProducts - 2020.12.20 at 23h 40m 33s.xml">
      <configuration name="ProductServiceImplTest.testGetProducts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProducts - 2020.12.20 at 23h 42m 52s.xml">
      <configuration name="ProductServiceImplTest.testGetProducts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProducts - 2020.12.20 at 23h 43m 02s.xml">
      <configuration name="ProductServiceImplTest.testGetProducts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProducts - 2020.12.20 at 23h 43m 15s.xml">
      <configuration name="ProductServiceImplTest.testGetProducts" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest_testGetProductsWithSearchAndSort - 2020.12.20 at 23h 52m 36s.xml">
      <configuration name="ProductServiceImplTest.testGetProductsWithSearchAndSort" configurationId="JUnit" />
    </history-entry>
    <history-entry file="ProductServiceImplTest - 2020.12.20 at 23h 53m 16s.xml">
      <configuration name="ProductServiceImplTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="55227000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24583964" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3294893" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3294893" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3970346" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3294893" />
      <window_info anchor="bottom" id="Spring" order="7" weight="0.3294893" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.41350907" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.3294893" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.3294893" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" weight="0.3294893" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.3294893" />
      <window_info anchor="bottom" id="Run Dashboard" order="15" sideWeight="0.49924356" visible="true" weight="0.4398682" />
      <window_info anchor="right" id="Coverage" side_tool="true" weight="0.32980332" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.32980332" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.3260212" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Capture Tool" order="4" />
      <window_info id="UI Designer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Web" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.3294893" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3970346" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.3294893" />
      <window_info anchor="bottom" id="Spring" order="7" weight="0.3294893" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.26523888" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.3294893" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.3294893" />
      <window_info anchor="bottom" id="Java Enterprise" order="12" weight="0.3294893" />
      <window_info anchor="bottom" id="Database Changes" order="13" />
      <window_info anchor="bottom" id="Version Control" order="14" weight="0.3294893" />
      <window_info anchor="bottom" id="Run Dashboard" order="15" sideWeight="0.49924356" visible="true" weight="0.41021416" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" weight="0.32980332" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>jar://$MAVEN_REPOSITORY$/org/springframework/data/spring-data-jpa/2.4.2/spring-data-jpa-2.4.2-sources.jar!/org/springframework/data/jpa/repository/support/SimpleJpaRepository.java</url>
          <line>396</line>
          <properties />
          <option name="timeStamp" value="22" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java</url>
          <line>50</line>
          <properties />
          <option name="timeStamp" value="25" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/nab_assignment$ProductServiceImplTest.exec" NAME="ProductServiceImplTest Coverage Results" MODIFIED="1608483193350" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="jacoco" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.nab.assignment.repositoryservice.service.impl.*</FILTER>
    </SUITE>
    <SUITE FILE_PATH="coverage/nab_assignment$ProductServiceImplTest_testGetProducts.ic" NAME="ProductServiceImplTest.testGetProducts Coverage Results" MODIFIED="1608482589486" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.nab.assignment.repositoryservice.service.impl.*</FILTER>
    </SUITE>
    <SUITE FILE_PATH="coverage/nab_assignment$ProductServiceImplTest_testGetProductWithNotExistProduct.ic" NAME="ProductServiceImplTest.testGetProductWithNotExistProduct Coverage Results" MODIFIED="1608480270111" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.nab.assignment.repositoryservice.service.impl.*</FILTER>
    </SUITE>
    <SUITE FILE_PATH="coverage/nab_assignment$ProductServiceImplTest_testGetProductsWithSearchAndSort.ic" NAME="ProductServiceImplTest.testGetProductsWithSearchAndSort Coverage Results" MODIFIED="1608483150191" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.nab.assignment.repositoryservice.service.impl.*</FILTER>
    </SUITE>
    <SUITE FILE_PATH="coverage/nab_assignment$ProductServiceImplTest.ic" NAME="ProductServiceImplTest Coverage Results" MODIFIED="1608480284008" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>com.nab.assignment.repositoryservice.service.impl.*</FILTER>
    </SUITE>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/Product.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/beans/PurchasedProduct.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/auth-server/src/main/java/com/nab/assignment/bink/authserver/config/AuthorizationServerConfig.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-web/5.1.12.RELEASE/spring-web-5.1.12.RELEASE.jar!/org/springframework/web/client/HttpClientErrorException.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-402">
          <caret line="31" column="41" selection-start-line="31" selection-start-column="41" selection-end-line="31" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/impl/CustomerServiceProxyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/proxy/impl/RepositoryServiceProxyImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="33" column="22" selection-start-line="33" selection-start-column="14" selection-end-line="33" selection-end-column="30" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/security/oauth/spring-security-oauth2/2.4.0.RELEASE/spring-security-oauth2-2.4.0.RELEASE-sources.jar!/org/springframework/security/oauth2/provider/token/TokenStore.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="16" column="17" selection-start-line="16" selection-start-column="17" selection-end-line="16" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/security/spring-security-web/5.4.2/spring-security-web-5.4.2.jar!/org/springframework/security/web/authentication/www/BasicAuthenticationFilter.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="27" column="13" selection-start-line="27" selection-start-column="13" selection-end-line="27" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/config/LiquibaseConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/resources/application.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="167">
          <caret line="16" column="19" selection-start-line="16" selection-start-column="19" selection-end-line="16" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/target/classes/com/nab/assignment/repositoryservice/config/ResourceServerConfig.class" />
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/ResourceServerConfig.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/security/spring-security-config/5.4.2/spring-security-config-5.4.2.jar!/org/springframework/security/config/annotation/web/builders/HttpSecurity.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="162" column="91" selection-start-line="162" selection-start-column="91" selection-end-line="162" selection-end-column="91" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/target/classes/com/nab/assignment/repositoryservice/config/HttpBasicAuthenticationAdapter.class" />
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/security/AuthenticationEntryPoint.java" />
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/entity/Product.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="8" selection-start-line="8" selection-end-line="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/resources/db/changelog/changelog-1.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-51" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/entity/PurchaseOrder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="14" column="52" selection-start-line="14" selection-start-column="52" selection-end-line="14" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/beans/CustomerRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="11" column="28" selection-start-line="11" selection-start-column="13" selection-end-line="11" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/controller/CustomerController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-748">
          <caret line="1" selection-start-line="1" selection-end-line="1" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/service/CustomerService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="8" column="26" selection-start-line="8" selection-start-column="26" selection-end-line="8" selection-end-column="26" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/io/springfox/springfox-swagger2/3.0.0/springfox-swagger2-3.0.0.jar!/springfox/documentation/swagger2/annotations/EnableSwagger2WebMvc.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="21" column="18" selection-start-line="21" selection-start-column="18" selection-end-line="21" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/io/springfox/springfox-spring-web/3.0.0/springfox-spring-web-3.0.0.jar!/springfox/documentation/spring/web/plugins/Docket.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="54" column="13" selection-start-line="54" selection-start-column="13" selection-end-line="54" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/io/springfox/springfox-swagger2/3.0.0/springfox-swagger2-3.0.0-sources.jar!/springfox/documentation/swagger2/annotations/EnableSwagger2WebMvc.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="142">
          <caret line="35" column="54" selection-start-line="35" selection-start-column="54" selection-end-line="35" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/SpringFoxConfig.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.4.1/spring-boot-autoconfigure-2.4.1.jar!/org/springframework/boot/autoconfigure/SpringBootApplication.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="257">
          <caret line="37" column="18" selection-start-line="37" selection-start-column="18" selection-end-line="37" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/RepositoryServiceApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="5" column="12" selection-start-line="5" selection-start-column="12" selection-end-line="5" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/SwaggerConfig.java" />
    <entry file="file://$PROJECT_DIR$/repository-service/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1054">
          <caret line="62" column="17" selection-start-line="62" selection-start-column="17" selection-end-line="62" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/mvnw">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/resources/application.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="18" selection-start-line="13" selection-start-column="18" selection-end-line="13" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="476">
          <caret line="28" column="17" selection-start-line="28" selection-start-column="17" selection-end-line="28" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/resources/application.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="21" column="18" selection-start-line="21" selection-start-column="18" selection-end-line="21" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/boot/spring-boot-autoconfigure/2.4.1/spring-boot-autoconfigure-2.4.1-sources.jar!/org/springframework/boot/autoconfigure/SpringBootApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="442">
          <caret line="58" column="18" selection-start-line="58" selection-start-column="18" selection-end-line="58" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="23" column="52" selection-start-line="23" selection-start-column="24" selection-end-line="23" selection-end-column="52" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/repository/ProductRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/exception/ErrorCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-451" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="69">
            <caret line="41" selection-start-line="41" selection-end-line="41" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/mockito/mockito-core/3.6.28/mockito-core-3.6.28.jar!/org/mockito/Mockito.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="162" column="22" selection-start-line="162" selection-start-column="22" selection-end-line="162" selection-end-column="22" />
          <folding>
            <element signature="e#5872#5873#0" expanded="true" />
            <element signature="e#5924#5925#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Program Files/Java/jdk-11.0.8/lib/src.zip!/java.base/java/util/Optional.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="131" column="34" selection-start-line="131" selection-start-column="34" selection-end-line="131" selection-end-column="34" />
          <folding>
            <element signature="e#4026#4027#0" expanded="true" />
            <element signature="e#4084#4085#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/validator/ProductFieldValidator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="10" column="14" selection-start-line="10" selection-start-column="14" selection-end-line="10" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/data/spring-data-commons/2.4.2/spring-data-commons-2.4.2-sources.jar!/org/springframework/data/domain/Sort.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="122" column="21" selection-start-line="122" selection-start-column="21" selection-end-line="122" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/customer-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/CustomerServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="968">
          <caret line="82" column="26" selection-start-line="82" selection-start-column="26" selection-end-line="82" selection-end-column="26" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1437#1438#0" expanded="true" />
            <element signature="e#1498#1499#0" expanded="true" />
            <element signature="e#2528#2529#0" expanded="true" />
            <element signature="e#2571#2572#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/purchase-service/src/main/java/com/nab/assignment/purchaseservice/service/impl/OrderServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="53" column="9" selection-start-line="53" selection-start-column="9" selection-end-line="53" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="50">
          <caret line="111" column="14" lean-forward="true" selection-start-line="111" selection-start-column="14" selection-end-line="111" selection-end-column="14" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/controller/ProductController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="206">
          <caret line="67" column="30" lean-forward="true" selection-start-line="67" selection-start-column="30" selection-end-line="67" selection-end-column="30" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/test/java/com/nab/assignment/repositoryservice/service/impl/ProductServiceImplTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="104" lean-forward="true" selection-start-line="104" selection-end-line="104" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/service/ProductService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="23" column="36" lean-forward="true" selection-start-line="23" selection-start-column="36" selection-end-line="23" selection-end-column="36" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/beans/PurchasedProduct.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="13" selection-start-line="5" selection-start-column="13" selection-end-line="5" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/repository-service/src/main/java/com/nab/assignment/repositoryservice/config/WebSecurityConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="177">
          <caret line="19" column="48" lean-forward="true" selection-start-line="19" selection-start-column="48" selection-end-line="19" selection-end-column="48" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>customer-service</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>11</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>